#!/bin/bash
# install.sh
#
# install iscsi driver and tools
#
# Copyright (c) IBM Corporation 2001 
# Licensed Material - Program Property of IBM
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of IBM Corporation nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
cd tools
make install
echo "Copying tools/libslp.so.1.0.0 to /usr/lib/"
cp libslp.so.1.0.0 /usr/lib
echo "Creating symbolic link /usr/lib/libslp.so.1->/usr/lib/libslp.so.1.0.0"
ln -s /usr/lib/libslp.so.1.0.0 /usr/lib/libslp.so.1
echo "Creating symbolic link /usr/lib/libslp.so->/usr/lib/libslp.so.1.0.0"
ln -s /usr/lib/libslp.so.1.0.0 /usr/lib/libslp.so
if [ -f /etc/iscsiclient.conf ]; then
echo "Backing up /etc/iscsiclient.conf to /etc/iscsiclient.conf.bak"
cp /etc/iscsiclient.conf /etc/iscsiclient.conf.bak
fi
echo "Copying tools/iscsiclient.conf to /etc/iscsiclient.conf"
cp iscsiclient.conf /etc
cd SRPd
make install
cd ../../driver
make install
cd ..
