#
# Copyright (c) IBM Corporation 2001 
# Licensed Material - Program Property of IBM
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of IBM Corporation nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# 1.6 tools/DBUG.H, iscsi_client_linux_install, icl_r2, v1.2.0c 01/12/13 10:09:25
#
#/*********************************************************************
# * DBUG_LEVEL
# *********************************************************************/
#/* Define a default, extremely low, debug level 
# * Debug level can be: normal use, regular debug, crazy debug etc */
DBUG_NONE     = 1000
DBUG_SMALL    = 6
DBUG_MEDIUM   = 5
DBUG_LARGE    = 4
DBUG_XLARGE   = 3
DBUG_XXLARGE  = 2
DBUG_XXXLARGE = 1

#/*********************************************************************
# * DBUG_CLASS
# *********************************************************************/
#/* The class DBUG state variable, lets you choose specific types
#   of traces you wish to see: function entries, variable values,
#   success failure milestones, command command execution
#*/
#/* Major success/failure milestones */
DBUG_MILESTONE = 1
#/* Function Entries and Exits */
DBUG_FUNCTION  = 2
#/* Variable Value Inspection */
DBUG_VARIABLE  = 4

DBUG_NULL      = 0

